References
Access log reference
json:http_access_log_ref
Original definition
# Access log reference
## Definition
~~~json
{
"isPrior": "Whether to override the parent application",
"isOn": "Whether this configuration is enabled",
"fields": ["Field 1", "Field 2", ...] // May be empty
"status1": "Whether to log 1xx status codes",
"status2": "Whether to log 2xx status codes",
"status3": "Whether to log 3xx status codes",
"status4": "Whether to log 4xx status codes",
"status5": "Whether to log 5xx status codes",
"enableClientClosed": "Whether to log client-closed events",
"firewallOnly": "Whether to log only firewall (WAF) events"
}
~~~
### Field values
* `1` - Request headers
* `2` - Response headers
* `3` - Request URL parameters
* `4` - Cookie
* `5` - Extended information
* `6` - Referer
* `7` - UserAgent
* `8` - Request body
* `9` - Response body (currently unsupported)
## Examples
~~~json
{
"isPrior": true,
"isOn": true,
"fields": [],
"status1": true,
"status2": true,
"status3": true,
"status4": true,
"status5": true,
"enableClientClosed": true,
"firewallOnly": true
}
~~~